﻿<?xml version="1.0" encoding="utf-8"?>
<Report xmlns="http://schemas.microsoft.com/sqlserver/reporting/2016/01/reportdefinition" xmlns:rd="http://schemas.microsoft.com/SQLServer/reporting/reportdesigner">
  <AutoRefresh>0</AutoRefresh>
  <DataSources>
    <DataSource Name="DataSource">
      <ConnectionProperties>
        <DataProvider>SQL</DataProvider>
        <ConnectString />
      </ConnectionProperties>
      <rd:SecurityType>None</rd:SecurityType>
    </DataSource>
  </DataSources>
  <ReportSections>
    <ReportSection>
      <Body>
        <Height>2in</Height>
        <Style />
      </Body>
      <Width>6.5in</Width>
      <Page>
        <Style />
      </Page>
    </ReportSection>
  </ReportSections>
  <Code>Public Function BlankZero(ByVal Value As Decimal)
    if Value = 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankPos(ByVal Value As Decimal)
    if Value &gt; 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankZeroAndPos(ByVal Value As Decimal)
    if Value &gt;= 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankNeg(ByVal Value As Decimal)
    if Value &lt; 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankNegAndZero(ByVal Value As Decimal)
    if Value &lt;= 0 then
        Return ""
    end if
    Return Value
End Function
</Code>
  <Language>=User!Language</Language>
  <ConsumeContainerWhitespace>true</ConsumeContainerWhitespace>
  <rd:ReportUnitType>Inch</rd:ReportUnitType>
  <rd:ReportID>0eeb6585-38ae-40f1-885b-8d50088d51b4</rd:ReportID>
  <DataSets>
    <DataSet Name="DataSet_Result">
      <Fields>
        <Field Name="No_SalesHeader">
          <DataField>No_SalesHeader</DataField>
        </Field>
        <Field Name="PostingDate_SalesHeader">
          <DataField>PostingDate_SalesHeader</DataField>
        </Field>
        <Field Name="SelltoCustomerNo_SalesHeader">
          <DataField>SelltoCustomerNo_SalesHeader</DataField>
        </Field>
        <Field Name="EtiquetaDoc">
          <DataField>EtiquetaDoc</DataField>
        </Field>
        <Field Name="xCustAddr1">
          <DataField>xCustAddr1</DataField>
        </Field>
        <Field Name="xCustAddr2">
          <DataField>xCustAddr2</DataField>
        </Field>
        <Field Name="xCustAddr3">
          <DataField>xCustAddr3</DataField>
        </Field>
        <Field Name="xCustAddr4">
          <DataField>xCustAddr4</DataField>
        </Field>
        <Field Name="xCustAddr5">
          <DataField>xCustAddr5</DataField>
        </Field>
        <Field Name="xCustAddr6">
          <DataField>xCustAddr6</DataField>
        </Field>
        <Field Name="xCustAddr7">
          <DataField>xCustAddr7</DataField>
        </Field>
        <Field Name="xCustAddr8">
          <DataField>xCustAddr8</DataField>
        </Field>
        <Field Name="xCompanyAddr1">
          <DataField>xCompanyAddr1</DataField>
        </Field>
        <Field Name="xCompanyAddr2">
          <DataField>xCompanyAddr2</DataField>
        </Field>
        <Field Name="xCompanyAddr3">
          <DataField>xCompanyAddr3</DataField>
        </Field>
        <Field Name="xCompanyAddr4">
          <DataField>xCompanyAddr4</DataField>
        </Field>
        <Field Name="xCompanyAddr5">
          <DataField>xCompanyAddr5</DataField>
        </Field>
        <Field Name="xCompanyAddr6">
          <DataField>xCompanyAddr6</DataField>
        </Field>
        <Field Name="xCompanyAddr7">
          <DataField>xCompanyAddr7</DataField>
        </Field>
        <Field Name="xCompanyAddr8">
          <DataField>xCompanyAddr8</DataField>
        </Field>
        <Field Name="Logo">
          <DataField>Logo</DataField>
        </Field>
        <Field Name="No_SalesLine">
          <DataField>No_SalesLine</DataField>
        </Field>
        <Field Name="Description_SalesLine">
          <DataField>Description_SalesLine</DataField>
        </Field>
        <Field Name="Quantity_SalesLine">
          <DataField>Quantity_SalesLine</DataField>
        </Field>
        <Field Name="Quantity_SalesLineFormat">
          <DataField>Quantity_SalesLineFormat</DataField>
        </Field>
        <Field Name="UnitPrice_SalesLine">
          <DataField>UnitPrice_SalesLine</DataField>
        </Field>
        <Field Name="UnitPrice_SalesLineFormat">
          <DataField>UnitPrice_SalesLineFormat</DataField>
        </Field>
        <Field Name="LineDiscount_SalesLine">
          <DataField>LineDiscount_SalesLine</DataField>
        </Field>
        <Field Name="LineDiscount_SalesLineFormat">
          <DataField>LineDiscount_SalesLineFormat</DataField>
        </Field>
        <Field Name="Amount_SalesLine">
          <DataField>Amount_SalesLine</DataField>
        </Field>
        <Field Name="Amount_SalesLineFormat">
          <DataField>Amount_SalesLineFormat</DataField>
        </Field>
      </Fields>
      <Query>
        <DataSourceName>DataSource</DataSourceName>
        <CommandText />
      </Query>
    </DataSet>
  </DataSets>
</Report>